gsap.registerPlugin(ScrollTrigger);

gsap.fromTo(".video-container", {
        scale: 0.3,
        skewY: -20
    }, // Initial state
    {
        scale: 1,
        skewY: 0,
        duration: 1.5,
        ease: "power2.out",
        scrollTrigger: {
            trigger: ".video-container",
            start: "top 80%", 
            end: "top 50%",
            scrub: true
        }
    }
);

jQuery(document).ready(function($) {

    function updatePlaceholder() {
        let inputField = $(".form-wrapper input");
        if ($(window).width() <= 768) {
            inputField.attr("placeholder", "Enter Your Email");
        } else {
            inputField.attr("placeholder", "Enter your email here and we'll send you some 'magic'...");
        }
    }

    // Run function on page load and window resize
    updatePlaceholder();
    $(window).resize(updatePlaceholder);

    jQuery(window).on("scroll", function() {
        if ($(this).scrollTop() > 50) {
            $("header").addClass("active-header");
        } else {
            $("header").removeClass("active-header");
        }
    });



    $('.logo-slider').slick({
        slidesToShow: 6,
        slidesToScroll: 1,
        autoplay: true,
        infinite: true,
        autoplaySpeed: 2000,
        arrows: false,
        dots: false,
        autoplaySpeed: 0,
        speed: 7000,
        cssEase: "linear",
        responsive: [{
            breakpoint: 991,
            settings: {
                slidesToShow: 4
            }
        }, {
            breakpoint: 480,
            settings: {
                slidesToShow: 3
            }
        }]
    });


    $('.logo-slider1').slick({
        slidesToShow: 5,
        slidesToScroll: 1,
        autoplay: true,
        autoplaySpeed: 0,
        speed: 5000,
        rtl: true,
        cssEase: 'linear',
        arrows: false,
        dots: false,
        responsive: [{
            breakpoint: 991,
            settings: {
                slidesToShow: 4
            }
        }, {
            breakpoint: 480,
            settings: {
                slidesToShow: 2
            }
        }]
    });
    $('.logo-slider-left').slick({
        slidesToShow: 5, 
        slidesToScroll: 1,
        autoplay: true,
        autoplaySpeed: 0,
        speed: 5000,
        cssEase: 'linear',
        arrows: false,
        dots: false,
        responsive: [{
            breakpoint: 991,
            settings: {
                slidesToShow: 4
            }
        }, {
            breakpoint: 480,
            settings: {
                slidesToShow: 2
            }
        }]
    });
});

jQuery(document).ready(function($) {
    $(".play_icon").click(function() {
        $(".video-modal").addClass("active-popup");
        $("body").addClass("body-overflow");
    });

    $(".close_btn").click(function() {
        $(".video-modal").removeClass("active-popup");
        $("body").removeClass("body-overflow");
    });
});

// testimonial-video-popup
jQuery(document).ready(function ($) {
    $(".testi_play_icon").click(function () {
        // Get the iframe inside .testi-data
        var iframeSrc = $(this).closest(".testi-data").find("iframe").attr("src");

        // Set the iframe in .testimonial-video-modal .video_box
        $(".testimonial-video-modal .video_box").html('<iframe src="' + iframeSrc + '" frameborder="0" allowfullscreen></iframe>');

        // Show the modal (assuming it's hidden)
        $(".testimonial-video-modal").fadeIn();
    });

    // Close button functionality (if needed)
    $(".testimonial-video-modal .close").click(function () {
        $(".testimonial-video-modal").fadeOut();
        $(".testimonial-video-modal .video_box").html(""); // Remove iframe when closing modal
    });

    // $(".testimonial .slider-nav .slick-slide img").click(function() {
    //     var imgSrc = $(this).attr("src"); 
    //     $(".feature_image").attr("src", imgSrc); 
    // });

    $(".testi_play_icon").click(function() {
        $(".testimonial-video-modal").addClass("active-popup");
        $("body").addClass("body-overflow");
    });

    $(".close_btn").click(function() {
        $(".testimonial-video-modal").removeClass("active-popup");
        $("body").removeClass("body-overflow");
    });
});


$(document).ready(function() {

    $("#button").on("click", function() {
        $("#lightbox").fadeIn(1000);
        $(this).hide();
        var videoURL = $('#video').prop('src');
        videoURL += "?autoplay=1";
        $('#video').prop('src', videoURL);
    });

    $("#close-btn").on("click", function() {
        $("#lightbox").fadeOut(500);
        $("#button").show(250);
    });
});


// slider testimonial
$('.testi-slider').slick({
    slidesToShow: 1,
    slidesToScroll: 1,
    arrows: false,
    fade: true,
    adaptiveHeight: true,
    infinite: false,
    useTransform: true,
    speed: 400,
    cssEase: 'cubic-bezier(0.77, 0, 0.18, 1)',
});

$('.slider-nav')
    .on('init', function(event, slick) {
        $('.slider-nav .slick-slide.slick-current').addClass('is-active');
    })
    .slick({
        slidesToShow: 5,
        slidesToScroll: 1,
        dots: false,
        focusOnSelect: false,
        infinite: false,
        responsive: [{
            breakpoint: 1024,
            settings: {
                slidesToShow: 4,
                slidesToScroll: 1,
            }
        }, {
            breakpoint: 768,
            settings: {
                slidesToShow: 3,
                slidesToScroll: 1,
            }
        }, {
            breakpoint: 678,
            settings: {
                slidesToShow: 2,
                slidesToScroll: 1,
            }
        }]
    });

$('.testi-slider').on('afterChange', function(event, slick, currentSlide) {
    $('.slider-nav').slick('slickGoTo', currentSlide);
    var currrentNavSlideElem = '.slider-nav .slick-slide[data-slick-index="' + currentSlide + '"]';
    $('.slider-nav .slick-slide.is-active').removeClass('is-active');
    $(currrentNavSlideElem).addClass('is-active');
});

$('.slider-nav').on('click', '.slick-slide', function(event) {
    event.preventDefault();
    var goToSingleSlide = $(this).data('slick-index');

    $('.testi-slider').slick('slickGoTo', goToSingleSlide);
});